A couple characters are lost in deja-dup description

Bug #646822 reported by Michael Terry on 2010-09-24
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Kiwinote

Bug Description

Binary package hint: software-center

I was just checking how my app deja-dup showed up in the latest software-center, and noticed a typo. I checked to confirm it's not in the actual debian Description, so I'm assuming software-center ate some characters?

Screenshot attached that includes both the software-center dialog and the output of 'apt-cache show deja-dup'.

Specifically, note how the line "Integrates well into your GNOME desktop" becomes "Integrates well intyour GNOME desktop".

I don't know if this is deja-dup-specific or more common.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: software-center 3.0
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Fri Sep 24 09:42:11 2010
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: software-center

Michael Terry (mterry) wrote :
Kiwinote (kiwinote) wrote :

Hi Michael! Thanks for your bug report. The bug you describe has been fixed in the branch I have linked and should be available in the next release. Please continue to report any bugs you may find in software-center. Thanks again for your help!

Changed in software-center (Ubuntu):
assignee: nobody → Kiwinote (kiwinote)
importance: Undecided → Medium
milestone: none → ubuntu-10.10
status: New → Fix Committed
Jonathan Thomas (jonoomph) wrote :

Glad to hear it's fixed! Just out of curiosity, was it replacing out the pattern "o "? In my case, it was replacing "video and audio" into "videand audi". Thanks!

Yeah, the bullets were defined as ['* ', '- ', 'o '] ('o ' was recently
added) and it was eliminating all occurrences of any of those bullets within
a bullet line, rather than just the first occurence.

On Mon, Sep 27, 2010 at 4:17 PM, Jonathan Thomas
<email address hidden>wrote:

> Glad to hear it's fixed! Just out of curiosity, was it replacing out
> the pattern "o "? In my case, it was replacing "video and audio" into
> "videand audi". Thanks!
>
> --
> A couple characters are lost in deja-dup description
> https://bugs.launchpad.net/bugs/646822
> You received this bug notification because you are a bug assignee.
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.0.2

---------------
software-center (3.0.2) maverick; urgency=low

  [ Kiwinote ]
  * softwarecenter/view/appdetailsview_gtk.py:
    - don't eat 'o ' character combinations within bullet points (LP: #646822)
      (test case: software-center deja-dup)
    - scale icon down when setting 'where is it' icon from path (LP: #645062)
      (test case: software-center briquolo (once installed))
  * softwarecenter/view/softwarepane.py:
    - don't offer to 'show 9k items' in searches, as we limit searches to 200
      items (LP: #648988)
      (test case: software-center search:library)
 -- Michael Vogt <email address hidden> Mon, 27 Sep 2010 22:43:18 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers